.position-relative {
  overflow: hidden;
  border-radius: 16px;
}

/* Discount Tag Styling */
.discount-tag {
  height: 53px;
  width: 53px;
  background-color: #6f542a;
  border-radius: 0px 16px 0px 16px;
  top: 0px;
  right: 0px;
  position: absolute;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.discount-text {
  font-size: 0.9rem;
  font-weight: 700;
  color: #ffffff;
  line-height: 1;
  text-align: center;
}

.carousel {
  background-color: transparent !important;
}
.carousel .cards {
  margin: 10px;
}

.bestSellingCard {
  height: 305px;
}
.bestSellingCard .productsImg {
  height: 160px;
}
.slick-prev,
.slick-next {
  z-index: 10;
}

.slick-dots li button:before {
  color: #6f542a;
}

/* Responsive Adjustments */
@media (max-width: 768px) {
  .discount-tag {
    height: 45px;
    width: 45px;
    font-size: 0.8rem;
  }

  .discount-text {
    font-size: 0.8rem;
  }
  .bestSellingCard .productsImg {
    height: 130px;
  }
  .bestSellingCard {
    height: 294px;
  }
}

@media (max-width: 576px) {
  .discount-tag {
    height: 40px;
    width: 40px;
    font-size: 0.7rem;
  }

  .discount-text {
    font-size: 0.7rem;
  }
  .cards {
    max-width: 355px;
  }
}
